﻿@using Portal.Models;
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<script language="javascript" type="text/javascript">
    function toggleVisibility() {
        var control = document.getElementById(controlId);
        alert('haiiiii');
        if (rbUploadCondition.SelectedIndex == 2)
        {
            control.style.visibility = "hidden";
        else
            control.style.visibility = "visible";
        }

    }   
</script>
@using (Html.BeginForm("UploadFile", "Upload", FormMethod.Post)) {
    @Html.DevExpress().UploadControl(
        settings =>
        {
            settings.Name = "ucMultiFile";

            settings.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
            settings.FileInputCount = 1;
            settings.ShowAddRemoveButtons = true;
            settings.ShowProgressPanel = true;
            settings.ValidationSettings.Assign(UploadModel.ValidationSettings);
        }).GetHtml()
    <br />
    <div class="text">
         @Html.DevExpress().RadioButtonList(
            settings =>
            {
                settings.Name = "rbUploadCondition";
                settings.Properties.ValueType = typeof(string);
                settings.Properties.Items.Add("File Only", "0");
                settings.Properties.Items.Add("File in ZIP", "1");
                settings.Properties.Items.Add("File in Secure ZIP", "2");
                settings.Properties.Style.Border.BorderWidth = 0;
                settings.SelectedIndex = 0;
                settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e){ alert('rbUploadCondition.Name'); }";

            }).GetHtml()
    </div>
    <div class="text">
        Allowed file types: pdf, xls, csv<br />
        Maximum file size: 20MB
    </div>    
    <div class="buttons">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnUpload";
                        settings.ControlStyle.CssClass = "button";
                        settings.Text = "Upload";
                        settings.UseSubmitBehavior = true;
                    }
                ).GetHtml()
    </div> 
}

